#include <gb.h> 

// 8 is the attribute for "get tiles from the second set"
unsigned char tiles_set2 [] = 
{
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8
};

void main()        /* main program */
{
  extern unsigned char pic_tiles[];
  extern unsigned char pic_map[];
  unsigned char e;

	//set palettes
  set_bkg_palette_entry(0,0,RGB(31,31,31));
  set_bkg_palette_entry(0,1,RGB(23,23,23)); 
  set_bkg_palette_entry(0,2,RGB(15,15,15));
  set_bkg_palette_entry(0,3,RGB(31,0,0));

  VBK_REG = 0;	//select VRAM bank 0 for tiles transfer

  SWITCH_ROM_MBC1(1); // the tiles and map are in bank 1
    // set tiles-data

  VBK_REG = 1; // the tiles go in the second bank
  set_bkg_data( 0, 158, pic_tiles);
  // Set data 
  VBK_REG = 0; // the map data goes in the first bank 
  // this is what tile to display
  set_bkg_tiles( 0, 0, 20, 18, pic_map);

  VBK_REG = 1; // the map tile attributes go in the second bank
  
  // this is saying "display the tiles from the second bank"
  for (e=0;e<18;e++)
    set_bkg_tiles (0,e,20,1,tiles_set2);

  SHOW_BKG;
  DISPLAY_ON;

  while(1)
  {
  } 
} 
 
